/*
 * @Author: Billy
 * @Date: 2020-09-15 10:05:45
 * @LastEditors: Billy
 * @LastEditTime: 2021-08-17 09:27:21
 * @Description: 文件相关帮助方法
 */

/**
 * 格式化输出文件大小
 * @param {Number} size 文件大小(单位为字节)
 * @param {Number} pointLength 小数点后的位数(默认2位)
 * @returns {string} 返回：如 1M
 * @todo 当结果大于1024TB时，会出现XXX.XXundefined的结果，即单位为undefined
 */
function formatFileSize(
  size,
  pointLength = 2
) {
  const units = ["B", "KB", "MB", "G", "TB"];
  let unit;
  while ((unit = units.shift()) && size >= 1024) {
    size = size / 1024;
  }
  return (unit === "B" ? size : size.toFixed(pointLength)) + unit;
}
export default {
  formatFileSize
};